"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createNewTsMigrationScript = void 0;
const path = require("path");
const fs = require("fs");
const migrationTemplate = `
export async function upgrade(queryFn: (query: string, values?: any[]) => Promise<void>) {
  await queryFn(\`\`);
}
    
export async function downgrade(queryFn: (query: string, values?: any[]) => Promise<void>) {
  await queryFn(\`\`);
}
`;
const generateTestTemplate = () => {
    const tableName = `TABLE_${Math.floor(Math.random() * 10000)}`;
    return `
  export async function upgrade(queryFn: (query: string, values?: any[]) => Promise<void>) {
  await queryFn('CREATE TABLE ${tableName} (ID INTEGER NULL, NAME VARCHAR(20) NULL);');
}
    
export async function downgrade(queryFn: (query: string, values?: any[]) => Promise<void>) {
  await queryFn('DROP TABLE ${tableName};');
}
  `;
};
function createNewTsMigrationScript(folder, name, isTest = false, deltaMs = 0) {
    const migrationFileName = `${new Date().getTime() + deltaMs}-${name}.ts`;
    const migrationFilePath = path.join(process.cwd(), folder, migrationFileName);
    if (!fs.existsSync(path.join(process.cwd(), folder))) {
        fs.mkdirSync(path.join(process.cwd(), folder));
    }
    fs.writeFileSync(migrationFilePath, isTest ? generateTestTemplate() : migrationTemplate);
    return migrationFilePath;
}
exports.createNewTsMigrationScript = createNewTsMigrationScript;
//# sourceMappingURL=common.js.map