#!/usr/bin/env node
"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("./common");
try {
    require('dotenv').config();
}
catch (err) { }
let migrationFolder = (_a = process.env.MIGRATION_FOLDER) !== null && _a !== void 0 ? _a : 'migration-scripts';
function run() {
    return __awaiter(this, void 0, void 0, function* () {
        process.stdin.setEncoding('utf8');
        console.log(`Please enter the migration folder name. Will be created if doesn't exists [default: ${migrationFolder}]:`);
        process.stdin.once('data', (folder) => {
            migrationFolder = folder.trim() || migrationFolder;
            console.log('Please enter the migration name [default: sql_migration]:');
            process.stdin.once('data', (migrationName) => {
                migrationName = migrationName.trim() || 'sql_migration';
                const migrationFilePath = (0, common_1.createNewTsMigrationScript)(migrationFolder, migrationName);
                console.log(`Migration file created at ${migrationFilePath}`);
                process.exit(0);
            });
        });
    });
}
run().catch((err) => {
    console.error(err);
    process.exit(1);
});
//# sourceMappingURL=generate-migration.js.map